Bug 379731 - Crashing
Crashing
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: yumex (Show other bugs)
8
All Linux
low Severity medium
: ---
: ---
Assigned To: Tim Lauridsen
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-11-13 06:17 EST by Mauricio Pretto
Modified: 2008-03-13 03:47 EDT (History)
1 user (show)

See Also:
Fixed In Version: 2.0.4-1.fc7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-03-13 03:38:41 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mauricio Pretto 2007-11-13 06:17:36 EST
Description of problem:
When click in group view yumex is crashing

Version-Release number of selected component (if applicable):
yumex-2.0.2-1.fc8

How reproducible:
often 

Steps to Reproduce:
1. open yumex
2. click on group view
3.
  
Actual results:
GLib-ERROR **: file gmain.c: line 2064 (g_main_dispatch): assertion failed:
(current->source == &current_source_link)
aborting...
/usr/share/yumex/yumex: line 5:  4362 Aborted                 /usr/bin/python
/usr/share/yumex/yumex.pyc $*


Expected results:


Additional info:
im using fedorafaq.org list of repos
Comment 1 J.Jansen 2007-11-17 14:49:14 EST
Same on my machines
But... if you select first "all Packages" and when they are displayed clivk on
"group view" yumex works as expected.
However I get "random" crashes at orher times. I suspect yumex having problems
with X-windows windows focus. Since I get many crashes when yumex gets into focus
Comment 2 Tim Lauridsen 2007-11-18 09:09:27 EST
I can't reproduce the error :(.

Try run 'yumex --nothreads" to see if it works better
Comment 3 Mauricio Pretto 2007-11-18 12:23:52 EST
Are you using different repos?
i'm using the repos from fedorafaq.
Comment 4 Tim Lauridsen 2007-11-19 02:23:08 EST
]$ yum repolist
Loading "fedorakmod" plugin
repo id              repo name                                 status
adobe-linux-i386     Adobe Systems Incorporated                enabled
fedora               Fedora 8 - i386                           enabled
livna                Livna for Fedora Core 8 - i386 - Base     enabled
updates              Fedora 8 - i386 - Updates                 enabled
Comment 5 J.Jansen 2007-11-19 02:58:55 EST
yumex --nothreads makes the problem disappear on my system

I use the following repos:
aaee-jj ) yum repolist
Loading "kernel-module" plugin
Loading "changelog" plugin
Loading "fastestmirror" plugin
repo id              repo name                                 status
InstallMedia         Fedora 8                                  enabled
adobe-linux-i386     Adobe Systems Incorporated                enabled
fedora               Fedora 8 - i386                           enabled
fedora-debuginfo     Fedora 8 - i386 - Debug                   enabled
livna                Livna for Fedora Core 8 - i386 - Base     enabled
updates              Fedora 8 - i386 - Updates                 enabled
updates-debuginfo    Fedora 8 - i386 - Updates - Debug         enabled

      Jouk
Comment 6 Mauricio Pretto 2007-12-12 14:18:39 EST
still happens randomly here.
Comment 7 J.Jansen 2007-12-13 08:09:14 EST
Previous test I did on a i686. On my fresh installed x86-64 machine I cannot
reproduce the problem.
Comment 8 Kret 2007-12-27 11:23:32 EST
I have this same bug.
To reproduce, click in yumex 'Clear yum data', exit yumex, and enter once again,
and click group view. This will crash, and next run program will be normal.

I have repos:
Loading "skip-broken" plugin
Loading "fastestmirror" plugin
Loading "kernel-module" plugin
Loading "priorities" plugin
Loading "basearchonly" plugin
Loading "changelog" plugin
Loading "fedorakmod" plugin
Loading "protect-packages" plugin
Loading "merge-conf" plugin
repo id              repo name                                 status
fedora               Fedora 8 - i386                           enabled
livna                Livna for Fedora Core 8 - i386 - Base     enabled
updates              Fedora 8 - i386 - Updates                 enabled

Error:
...
16:56:13 : Ustawianie yuma: Repozytoria.
Loading mirror speeds from cached hostfile
 * livna: rpm.livna.org
 * fedora: ftp.pbone.net
 * updates: ftp.pbone.net
16:56:13 : Ustawianie yuma: zestawy pakietów
16:56:13 : Ustawianie yuma: aktualizacje
16:56:16 : Wczytano metadane aktualizacji z updates 
16:56:16 : Ustawianie yuma: grupy
Loading mirror speeds from cached hostfile
 * livna: rpm.livna.org
 * fedora: ftp.pbone.net
 * updates: ftp.pbone.net
16:56:17 : Pobieranie
ftp://ftp.pbone.net/pub/fedora/linux/releases/8/Everything/i386/os/repodata/Fedora-8-comps.xml
nie powiodło się: 
16:56:17 :   --> [Errno -1] Metadata file does not match checksum
16:56:17 : Trying other mirror.
16:56:18 : Pobieranie
ftp://ftp.pbone.net/pub/fedora/linux/updates/8/i386/repodata/comps-f8.xml nie
powiodło się: 
16:56:18 :   --> [Errno -1] Metadata file does not match checksum
16:56:18 : Trying other mirror.
...
GLib-ERROR **: file gmain.c: line 2064 (g_main_dispatch): assertion failed:
(current->source == &current_source_link)
aborting...
/usr/share/yumex/yumex: line 5:  4841 Przerwane               /usr/bin/python
/usr/share/yumex/yumex.pyc $*

I see that if yum setting groups (grupy) on 16:56:16, there are wrong checksum
of metadata file. This may cause error. I have pirut error too.
Comment 9 Kret 2007-12-27 16:29:32 EST
yumex --nothreads is working perfectly, problem disappeared.
Comment 10 Tim Lauridsen 2008-02-21 07:59:45 EST
The current yumex implementation uses thread to make the gui responsive while
doing some yum action, it sometime give strange result.
I am working on making the yum stuff run in a child process, but that will not
happen in yumex 2.0.x (but in yumex 2.1.x).

i am playing with idea of setting --nothread by default, but it will make the
GUI non responsive at times. 
Comment 11 Tim Lauridsen 2008-02-21 08:55:42 EST
Well no more playing, i have removed the thread code, this will solve all these
weird issues, it will be available in yumex 2.0.4, building at the moment.
Comment 12 Fedora Update System 2008-02-21 09:00:42 EST
yumex-2.0.4-1.fc8 has been submitted as an update for Fedora 8
Comment 13 Fedora Update System 2008-02-21 09:04:39 EST
yumex-2.0.4-1.fc7 has been submitted as an update for Fedora 7
Comment 14 Fedora Update System 2008-02-25 19:23:56 EST
yumex-2.0.4-1.fc7 has been pushed to the Fedora 7 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update yumex'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F7/FEDORA-2008-1940
Comment 15 Fedora Update System 2008-03-13 03:38:27 EDT
yumex-2.0.4-1.fc7 has been pushed to the Fedora 7 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 16 Fedora Update System 2008-03-13 03:47:57 EDT
yumex-2.0.4-1.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.